Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F	(revision 5098)
@@ -4,5 +4,5 @@
       RECURSIVE SUBROUTINE vlx_loc(q,pente_max,masse,u_m,ijb_x,ije_x,iq)
 
-c     Auteurs:   P.Le Van, F.Hourdin, F.Forget 
+c     Auteurs:   P.Le Van, F.Hourdin, F.Forget
 c
 c    ********************************************************************
@@ -28,8 +28,8 @@
       REAL u_m( ijb_u:ije_u,llm),pbarv( iip1,jjb_v:jje_v,llm)
       REAL q(ijb_u:ije_u,llm,nqtot) ! CRisi: ajout dimension nqtot
-      REAL w(ijb_u:ije_u,llm) 
+      REAL w(ijb_u:ije_u,llm)
       INTEGER iq ! CRisi
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -49,10 +49,9 @@
 
       REAL      SSUM
-      EXTERNAL  SSUM
 
       REAL z1,z2,z3
 
       INTEGER ijb,ije,ijb_x,ije_x
-      
+
       !write(*,*) 'vlsplt 58: entree dans vlx_loc, iq,ijb_x=',
 !     &   iq,ijb_x
@@ -61,8 +60,8 @@
       ijb=ijb_x
       ije=ije_x
-        
+
       if (pole_nord.and.ijb==1) ijb=ijb+iip1
       if (pole_sud.and.ije==ip1jmp1)  ije=ije-iip1
-         
+
       IF (pente_max>-1.e-5) THEN
 c       IF (pente_max.gt.10) THEN
@@ -72,7 +71,7 @@
       ! on a besoin de q entre ijb et ije
 c   calcul de la pente aux points u
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)         
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
          DO l = 1, llm
-            
+
             DO ij=ijb,ije-1
                dxqu(ij)=q(ij+1,l,iq)-q(ij,l,iq)
@@ -96,5 +95,5 @@
 c limitation subtile
 c    ,      min(adxqu(ij-1)/sigu(ij-1),adxqu(ij)/(1.-sigu(ij)))
-          
+
 
             ENDDO
@@ -105,8 +104,4 @@
 
             DO ij=ijb+1,ije
-#ifdef CRAY
-               dxq(ij,l)=
-     ,         cvmgp(dxqu(ij-1)+dxqu(ij),0.,dxqu(ij-1)*dxqu(ij))
-#else
                IF(dxqu(ij-1)*dxqu(ij)>0) THEN
                   dxq(ij,l)=dxqu(ij-1)+dxqu(ij)
@@ -115,5 +110,4 @@
                   dxq(ij,l)=0.
                ENDIF
-#endif
                dxq(ij,l)=0.5*dxq(ij,l)
                dxq(ij,l)=
@@ -172,21 +166,5 @@
 c   calcul des flux a gauche et a droite
 
-#ifdef CRAY
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-      DO l=1,llm
-       DO ij=ijb,ije-1
-          zdum(ij,l)=cvmgp(1.-u_m(ij,l)/masse(ij,l,iq),
-     ,                     1.+u_m(ij,l)/masse(ij+1,l,iq),
-     ,                     u_m(ij,l,iq))
-          zdum(ij,l)=0.5*zdum(ij,l)
-          u_mq(ij,l)=cvmgp(
-     ,                q(ij,l,iq)+zdum(ij,l)*dxq(ij,l),
-     ,                q(ij+1,l,iq)-zdum(ij,l)*dxq(ij+1,l),
-     ,                u_m(ij,l))
-          u_mq(ij,l)=u_m(ij,l)*u_mq(ij,l)
-       ENDDO
-      ENDDO
-c$OMP END DO NOWAIT
-#else
+
 c   on cumule le flux correspondant a toutes les mailles dont la masse
 c   au travers de la paroi pENDant le pas de temps.
@@ -209,7 +187,5 @@
       ENDDO
 c$OMP END DO NOWAIT
-#endif
-
-c	go to 9999
+
 c   detection des points ou on advecte plus que la masse de la
 c   maille
@@ -234,5 +210,5 @@
 c$OMP END DO NOWAIT
 c	 print*,'Ok test 2'
-        
+
 
 c   traitement special pour le cas ou on advecte en longitude plus que le
@@ -313,6 +289,5 @@
          ENDDO
 c$OMP END DO NOWAIT
-cym      ENDIF  ! n0.gt.0 
-9999    continue
+cym      ENDIF  ! n0.gt.0
 
 c   bouclage en latitude
@@ -346,5 +321,5 @@
               Ratio(ij,l,iq2)=min_ratio
             endif
-          enddo   
+          enddo
         enddo
 c$OMP END DO NOWAIT
@@ -377,12 +352,12 @@
 
 ! retablir les fils en rapport de melange par rapport a l'air:
-      ! On calcule q entre ijb+1 et ije -> on fait pareil pour ratio 
+      ! On calcule q entre ijb+1 et ije -> on fait pareil pour ratio
       ! puis on boucle en longitude
       do ifils=1,tracers(iq)%nqDescen
         iq2=tracers(iq)%iqDescen(ifils)
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)   
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
         DO l=1,llm
           DO ij=ijb+1,ije
-            q(ij,l,iq2)=q(ij,l,iq)*Ratio(ij,l,iq2)            
+            q(ij,l,iq2)=q(ij,l,iq)*Ratio(ij,l,iq2)
           enddo
           DO ij=ijb+iip1-1,ije,iip1
@@ -404,5 +379,5 @@
       RECURSIVE SUBROUTINE vly_loc(q,pente_max,masse,masse_adv_v,iq)
 c
-c     Auteurs:   P.Le Van, F.Hourdin, F.Forget 
+c     Auteurs:   P.Le Van, F.Hourdin, F.Forget
 c
 c    ********************************************************************
@@ -416,5 +391,5 @@
       USE parallel_lmdz
       USE infotrac, ONLY : nqtot,tracers, ! CRisi                 &
-     &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi    
+     &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
       USE comconst_mod, ONLY: pi
       IMPLICIT NONE
@@ -432,5 +407,5 @@
       INTEGER iq ! CRisi
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -444,10 +419,10 @@
       REAL qpns,qpsn,appn,apps,dyn1,dys1,dyn2,dys2,newmasse,fn,fs
 c     REAL newq,oldmasse
-      Logical extremum,first,testcpu
+      Logical extremum,first
       REAL temps0,temps1,temps2,temps3,temps4,temps5,second
       SAVE temps0,temps1,temps2,temps3,temps4,temps5
 c$OMP THREADPRIVATE(temps0,temps1,temps2,temps3,temps4,temps5)
-      SAVE first,testcpu
-c$OMP THREADPRIVATE(first,testcpu)
+      SAVE first
+c$OMP THREADPRIVATE(first)
 
       REAL convpn,convps,convmpn,convmps
@@ -467,5 +442,5 @@
       EXTERNAL  SSUM
 
-      DATA first,testcpu/.true.,.false./
+      DATA first/.true./
       DATA temps0,temps1,temps2,temps3,temps4,temps5/0.,0.,0.,0.,0.,0./
       INTEGER ijb,ije
@@ -473,5 +448,5 @@
 
       ijb=ij_begin-2*iip1
-      ije=ij_end+2*iip1  
+      ije=ij_end+2*iip1
       if (pole_nord) ijb=ij_begin
       if (pole_sud)  ije=ij_end
@@ -491,5 +466,5 @@
          sinlondlon(1)=sinlondlon(iip1)
          airej2 = SSUM( iim, aire(iip2), 1 )
-         airejjm= SSUM( iim, aire(ip1jm -iim), 1 ) 
+         airejjm= SSUM( iim, aire(ip1jm -iim), 1 )
       ENDIF
 
@@ -497,5 +472,5 @@
 c	PRINT*,'CALCUL EN LATITUDE'
 
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)      
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
       DO l = 1, llm
 c
@@ -507,5 +482,5 @@
 c   de latitude autour du pole (qpns pour le pole nord et qpsn pour
 c    le pole nord) qui sera utilisee pour evaluer les pentes au pole.
-      
+
       if (pole_nord) then
         DO i = 1, iim
@@ -514,5 +489,5 @@
         qpns   = SSUM( iim,  airescb ,1 ) / airej2
       endif
-      
+
       if (pole_sud) then
         DO i = 1, iim
@@ -521,5 +496,5 @@
         qpsn   = SSUM( iim,  airesch ,1 ) / airejjm
       endif
-      
+
 c   calcul des pentes aux points v
 
@@ -528,5 +503,5 @@
       if (pole_nord) ijb=ij_begin
       if (pole_sud)  ije=ij_end-iip1
-      
+
       ! on a besoin de q entre ij_begin-2*iip1 et ij_end+2*iip1
       ! Si pole sud, entre ij_begin-2*iip1 et ij_end
@@ -536,5 +511,5 @@
          adyqv(ij)=abs(dyqv(ij))
       ENDDO
- 
+
 
 c   calcul des pentes aux points scalaires
@@ -543,5 +518,5 @@
       if (pole_nord) ijb=ij_begin+iip1
       if (pole_sud)  ije=ij_end-iip1
-      
+
       DO ij=ijb,ije
          dyq(ij,l)=.5*(dyqv(ij-iip1)+dyqv(ij))
@@ -555,5 +530,5 @@
            dyq(ij,l)=qpns-q(ij+iip1,l,iq)
         ENDDO
-        
+
         dyn1=0.
         dyn2=0.
@@ -565,5 +540,5 @@
           dyq(ij,l)=dyn1*sinlon(ij)+dyn2*coslon(ij)
         ENDDO
-        
+
         DO ij=1,iip1
          dyq(ij,l)=0.
@@ -571,5 +546,5 @@
 c ym tout cela ne sert pas a grand chose
       ENDIF
-      
+
       IF (pole_sud) THEN
 
@@ -589,5 +564,5 @@
           dyq(ip1jm+ij,l)=dys1*sinlon(ij)+dys2*coslon(ij)
         ENDDO
-        
+
         DO ij=1,iip1
          dyq(ip1jm+ij,l)=0.
@@ -619,5 +594,5 @@
 
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
-C  En memoire de dIFferents tests sur la 
+C  En memoire de dIFferents tests sur la
 C  limitation des pentes aux poles.
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
@@ -732,5 +707,5 @@
       ijem=ij_end+iip1
       if (pole_nord) ijb=ij_begin
-      if (pole_sud)  ije=ij_end  
+      if (pole_sud)  ije=ij_end
       if (pole_nord) ijbm=ij_begin
       if (pole_sud)  ijem=ij_end
@@ -738,9 +713,9 @@
       do ifils=1,tracers(iq)%nqDescen
         iq2=tracers(iq)%iqDescen(ifils)
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK) 
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
         DO l=1,llm
         ! modif des bornes: CRisi 16 nov 2020
         ! d'abord masse avec bornes corrigées
-          DO ij=ijbm,ijem 
+          DO ij=ijbm,ijem
           !MVals: veiller a ce qu'on n'ait pas de denominateur nul
             masse(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
@@ -753,7 +728,7 @@
               Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
             else
-              Ratio(ij,l,iq2)=min_ratio  
-            endif     
-          enddo !DO ij=ijbm,ijem  
+              Ratio(ij,l,iq2)=min_ratio
+            endif
+          enddo !DO ij=ijbm,ijem
         enddo !DO l=1,llm
 c$OMP END DO NOWAIT
@@ -765,11 +740,11 @@
       enddo
 ! end CRisi
-      
+
       ijb=ij_begin
       ije=ij_end
       if (pole_nord) ijb=ij_begin+iip1
       if (pole_sud)  ije=ij_end-iip1
-      
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)      
+
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
       DO l=1,llm
          DO ij=ijb,ije
@@ -801,10 +776,10 @@
            enddo
          endif
-         
+
 c        convps=-SSUM(iim,qbyv(ip1jm-iim,l),1)/apols
 c        convmps=-ssum(iim,masse_adv_v(ip1jm-iim,l),1)/apols
-         
+
          if (pole_sud) then
-         
+
            convps=-SSUM(iim,qbyv(ip1jm-iim,l),1)
            convmps=-ssum(iim,masse_adv_v(ip1jm-iim,l),1)
@@ -854,8 +829,8 @@
       do ifils=1,tracers(iq)%nqDescen
         iq2=tracers(iq)%iqDescen(ifils)
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)   
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
         DO l=1,llm
           DO ij=ijb,ije
-            q(ij,l,iq2)=q(ij,l,iq)*Ratio(ij,l,iq2)            
+            q(ij,l,iq2)=q(ij,l,iq)*Ratio(ij,l,iq2)
           enddo
         enddo
@@ -866,10 +841,10 @@
       RETURN
       END
-      
-      
-      
+
+
+
       RECURSIVE SUBROUTINE vlz_loc(q,pente_max,masse,w,ijb_x,ije_x,iq)
 c
-c     Auteurs:   P.Le Van, F.Hourdin, F.Forget 
+c     Auteurs:   P.Le Van, F.Hourdin, F.Forget
 c
 c    ********************************************************************
@@ -885,5 +860,5 @@
       USE infotrac, ONLY : nqtot,tracers, ! CRisi                 &
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
-      
+
       IMPLICIT NONE
 c
@@ -900,5 +875,5 @@
       INTEGER iq
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -915,7 +890,4 @@
       REAL sigw
 
-      LOGICAL testcpu
-      SAVE testcpu
-c$OMP THREADPRIVATE(testcpu)
       REAL temps0,temps1,temps2,temps3,temps4,temps5,second
       SAVE temps0,temps1,temps2,temps3,temps4,temps5
@@ -923,7 +895,5 @@
 
       REAL      SSUM
-      EXTERNAL  SSUM
-
-      DATA testcpu/.false./
+
       DATA temps0,temps1,temps2,temps3,temps4,temps5/0.,0.,0.,0.,0.,0./
       INTEGER ijb,ije,ijb_x,ije_x
@@ -933,5 +903,5 @@
       !REAL masseq(ijb_u:ije_u,llm,nqtot),Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
       ! Ces varibles doivent être déclarées en pointer et en save dans
-      ! vlz_loc si on veut qu'elles soient vues par tous les threads.  
+      ! vlz_loc si on veut qu'elles soient vues par tous les threads.
       INTEGER ifils,iq2 ! CRisi
 
@@ -939,19 +909,14 @@
       IF (first) THEN
        first=.FALSE.
-      ENDIF              
+      ENDIF
 c    On oriente tout dans le sens de la pression c'est a dire dans le
 c    sens de W
 
       !write(*,*) 'vlsplt 926: entree dans vlz_loc, iq=',iq
-#ifdef BIDON
-      IF(testcpu) THEN
-         temps0=second(0.)
-      ENDIF
-#endif
 
       ijb=ijb_x
       ije=ije_x
 
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)      
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
       DO l=2,llm
          DO ij=ijb,ije
@@ -965,8 +930,4 @@
       DO l=2,llm-1
          DO ij=ijb,ije
-#ifdef CRAY
-            dzq(ij,l)=0.5*
-     ,      cvmgp(dzqw(ij,l)+dzqw(ij,l+1),0.,dzqw(ij,l)*dzqw(ij,l+1))
-#else
             IF(dzqw(ij,l)*dzqw(ij,l+1)>0.) THEN
                 dzq(ij,l)=0.5*(dzqw(ij,l)+dzqw(ij,l+1))
@@ -974,5 +935,4 @@
                 dzq(ij,l)=0.
             ENDIF
-#endif
             dzqmax=pente_max*min(adzqw(ij,l),adzqw(ij,l+1))
             dzq(ij,l)=sign(min(abs(dzq(ij,l)),dzqmax),dzq(ij,l))
@@ -988,9 +948,4 @@
 c$OMP END MASTER
 c$OMP BARRIER
-#ifdef BIDON
-      IF(testcpu) THEN
-         temps1=temps1+second(0.)-temps0
-      ENDIF
-#endif
 
 !--------------------------------------------------------
@@ -1008,5 +963,5 @@
          ENDDO
       ENDDO
-c$OMP END DO NOWAIT    
+c$OMP END DO NOWAIT
 
 c ---------------------------------------------------------------
@@ -1041,6 +996,6 @@
          ENDDO
        ENDDO
-c$OMP END DO NOWAIT    
-       !write(*,*) 'vlz 1001'    
+c$OMP END DO NOWAIT
+       !write(*,*) 'vlz 1001'
 
       ELSE ! countcfl>=1
@@ -1079,5 +1034,5 @@
 c  on itère jusqu'à ce que tous les poins satisfassent
 c  le critère
-      DO WHILE (countcfl>=1) 
+      DO WHILE (countcfl>=1)
         IF (prt_level>9) THEN
           WRITE(lunout,*)'On viole le CFL Vertical sur ',countcfl,' pts'
@@ -1130,5 +1085,5 @@
          ENDDO
        ENDDO
-c$OMP END DO NOWAIT    
+c$OMP END DO NOWAIT
 
 
@@ -1162,5 +1117,5 @@
             !wq(ij,l,iq2)=wq(ij,l,iq) ! correction bug le 15mai2015
             w(ij,l,iq2)=wq(ij,l,iq)
-          enddo   
+          enddo
         enddo
 c$OMP END DO NOWAIT
@@ -1172,5 +1127,5 @@
         call vlz_loc(Ratio,pente_max,masse,w,ijb_x,ije_x,iq2)
       enddo
-! end CRisi  
+! end CRisi
 
 ! CRisi: On rajoute ici une barrière car on veut être sur que tous les
@@ -1190,12 +1145,12 @@
 c$OMP END DO NOWAIT
 
-      
+
 ! retablir les fils en rapport de melange par rapport a l'air:
       do ifils=1,tracers(iq)%nqDescen
         iq2=tracers(iq)%iqDescen(ifils)
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)   
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
         DO l=1,llm
           DO ij=ijb,ije
-            q(ij,l,iq2)=q(ij,l,iq)*Ratio(ij,l,iq2)            
+            q(ij,l,iq2)=q(ij,l,iq)*Ratio(ij,l,iq2)
           enddo
         enddo
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F	(revision 5098)
@@ -13,5 +13,5 @@
       USE parallel_lmdz
       USE infotrac, ONLY : nqtot,tracers, ! CRisi                 &
-     &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
+     &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi7
       IMPLICIT NONE
 c
@@ -91,5 +91,5 @@
 c limitation subtile
 c    ,      min(adxqu(ij-1)/sigu(ij-1),adxqu(ij)/(1.-sigu(ij)))
-          
+
 
             ENDDO
@@ -100,8 +100,4 @@
 
             DO ij=ijb+1,ije
-#ifdef CRAY
-               dxq(ij,l)=
-     ,         cvmgp(dxqu(ij-1)+dxqu(ij),0.,dxqu(ij-1)*dxqu(ij))
-#else
                IF(dxqu(ij-1)*dxqu(ij)>0) THEN
                   dxq(ij,l)=dxqu(ij-1)+dxqu(ij)
@@ -110,5 +106,4 @@
                   dxq(ij,l)=0.
                ENDIF
-#endif
                dxq(ij,l)=0.5*dxq(ij,l)
                dxq(ij,l)=
@@ -179,24 +174,4 @@
               
 c   calcul des flux a gauche et a droite
-
-#ifdef CRAY
-c--pas encore modification sur Qsat
-c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-      DO l=1,llm
-       DO ij=ijb,ije-1
-          zdum(ij,l)=cvmgp(1.-u_m(ij,l)/masse(ij,l,iq),
-     ,                     1.+u_m(ij,l)/masse(ij+1,l,iq),
-     ,                     u_m(ij,l))
-          zdum(ij,l)=0.5*zdum(ij,l)
-          u_mq(ij,l)=cvmgp(
-     ,                q(ij,l,iq)+zdum(ij,l)*dxq(ij,l),
-     ,                q(ij+1,l,iq)-zdum(ij,l)*dxq(ij+1,l),
-     ,                u_m(ij,l))
-          u_mq(ij,l)=u_m(ij,l)*u_mq(ij,l)
-       ENDDO
-      ENDDO
-c$OMP END DO NOWAIT
-
-#else
 c   on cumule le flux correspondant a toutes les mailles dont la masse
 c   au travers de la paroi pENDant le pas de temps.
@@ -217,5 +192,4 @@
       ENDDO
 c$OMP END DO NOWAIT
-#endif
 
 
@@ -466,9 +440,9 @@
       INTEGER ifils,iq2 ! CRisi
 
-      REAL      SSUM
-
       DATA first/.true./
       INTEGER ijb,ije
       INTEGER ijbm,ijem
+
+      REAL ssum
 
       ijb=ij_begin-2*iip1
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5098)
@@ -17,9 +17,5 @@
   USE vertical_layers_mod, ONLY : init_vertical_layers
   USE infotrac, ONLY: nbtr, type_trac
-#ifdef CPP_StratAer
-  USE infotrac_phy, ONLY: nbtr_bin, nbtr_sulgas, id_OCS_strat, &
-                      id_SO2_strat, id_H2SO4_strat, id_BIN01_strat
 
-#endif
 #ifdef REPROBUS
   USE CHEM_REP, ONLY : Init_chem_rep_phys
Index: LMDZ6/branches/Amaury_dev/libf/filtrez/filtreg_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/filtrez/filtreg_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/filtrez/filtreg_mod.F90	(revision 5098)
@@ -43,10 +43,8 @@
     LOGICAL, SAVE :: first_call_inifilr = .TRUE.
 
-#ifdef CRAY
     INTEGER   ISMIN
     EXTERNAL  ISMIN
     INTEGER iymin 
     INTEGER ixmineq
-#endif
     !
     ! ------------------------------------------------------------
@@ -104,10 +102,5 @@
     ENDDO
     !
-#ifdef CRAY
-    iymin   = ISMIN( jjm, dlatu, 1 )
-    ixmineq = ISMIN( iim, dlonu, 1 )
-    dymin   = dlatu( iymin )
-    dxmin   = dlonu( ixmineq )
-#else
+
     dxmin   =  dlonu(1)
     DO  i  = 2, iim
@@ -118,5 +111,4 @@
        dymin = MIN( dymin,dlatu(j) )
     ENDDO
-#endif
     !
     ! For a regular grid, we want the filter to start at latitudes
@@ -372,7 +364,5 @@
           ENDDO
        ENDDO ! of DO i=1,iim
-#ifdef CRAY
-       CALL MXM( eignfnv,iim,eignft,iim,matriceun(1,1,j),iim )
-#else
+
 #ifdef BLAS
        CALL SGEMM ('N', 'N', iim, iim, iim, 1.0, &
@@ -389,5 +379,4 @@
        ENDDO ! of DO k = 1, iim
 #endif
-#endif
 
     ENDDO ! of DO j = 2, jfiltnu
@@ -402,7 +391,4 @@
           ENDDO
        ENDDO ! of DO i=1,iim
-#ifdef CRAY
-       CALL MXM(eignfnv,iim,eignft,iim,matriceus(1,1,j-jfiltsu+1),iim)
-#else
 #ifdef BLAS
        CALL SGEMM ('N', 'N', iim, iim, iim, 1.0, &
@@ -420,5 +406,4 @@
        ENDDO ! of DO k = 1, iim
 #endif
-#endif
 
     ENDDO ! of DO j = jfiltsu, jjm
@@ -439,7 +424,5 @@
           ENDDO
        ENDDO
-#ifdef CRAY
-       CALL MXM( eignfnu,iim,eignft,iim,matricevn(1,1,j),iim )
-#else
+
 #ifdef BLAS
        CALL SGEMM ('N', 'N', iim, iim, iim, 1.0, &
@@ -456,5 +439,4 @@
        ENDDO
 #endif
-#endif
 
     ENDDO ! of DO j = 1, jfiltnv
@@ -469,7 +451,5 @@
           ENDDO
        ENDDO
-#ifdef CRAY
-       CALL MXM(eignfnu,iim,eignft,iim,matricevs(1,1,j-jfiltsv+1),iim)
-#else
+
 #ifdef BLAS
        CALL SGEMM ('N', 'N', iim, iim, iim, 1.0, &
@@ -487,5 +467,4 @@
        ENDDO
 #endif
-#endif
 
     ENDDO ! of DO j = jfiltsv, jjm
@@ -506,7 +485,5 @@
           ENDDO
        ENDDO
-#ifdef CRAY
-       CALL MXM( eignfnv,iim,eignft,iim,matrinvn(1,1,j),iim )
-#else
+
 #ifdef BLAS
        CALL SGEMM ('N', 'N', iim, iim, iim, 1.0, &
@@ -523,5 +500,4 @@
        ENDDO
 #endif
-#endif
 
     ENDDO ! of DO j = 2, jfiltnu
@@ -536,7 +512,4 @@
           ENDDO
        ENDDO
-#ifdef CRAY
-       CALL MXM(eignfnv,iim,eignft,iim,matrinvs(1,1,j-jfiltsu+1),iim)
-#else
 #ifdef BLAS
        CALL SGEMM ('N', 'N', iim, iim, iim, 1.0, &
@@ -553,5 +526,4 @@
        ENDDO
 #endif
-#endif
 
     ENDDO ! of DO j = jfiltsu, jjm
@@ -569,7 +541,5 @@
     !
 334 FORMAT(1x,24i3)
-755 FORMAT(1x,6f10.3,i3)
-
-    RETURN
+
   END SUBROUTINE inifilr
 
Index: LMDZ6/branches/Amaury_dev/libf/filtrez/inifgn.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/filtrez/inifgn.F	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/filtrez/inifgn.F	(revision 5098)
@@ -67,8 +67,4 @@
       END DO
 c
-#ifdef CRAY
-      CALL MXM(eignfnu,iim,eignfnv,iim,vec ,iim)
-      CALL MXM(eignfnv,iim,eignfnu,iim,vec1,iim)
-#else
       DO j = 1, iim
       DO i = 1, iim
@@ -81,5 +77,4 @@
       ENDDO
       ENDDO
-#endif
 
 c
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_TO_MOVE_ssum_scopy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_TO_MOVE_ssum_scopy.f90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_TO_MOVE_ssum_scopy.f90	(revision 5098)
@@ -0,0 +1,37 @@
+! TO MOVE SOMEWHERE ELSE !! (Amaury - 07/2024)
+! Move with other vector/math functions
+! Those are old legacy CRAY replacement functions, that are now used in several parts of the code.
+
+subroutine scopy(n, sx, incx, sy, incy)
+
+  IMPLICIT NONE
+
+  integer n, incx, incy, ix, iy, i
+  real sx((n - 1) * incx + 1), sy((n - 1) * incy + 1)
+
+  iy = 1
+  ix = 1
+  DO i = 1, n
+    sy(iy) = sx(ix)
+    ix = ix + incx
+    iy = iy + incy
+  END DO
+
+end
+
+function ssum(n, sx, incx)
+
+  IMPLICIT NONE
+
+  integer n, incx, i, ix
+  real ssum, sx((n - 1) * incx + 1)
+
+  ssum = 0.
+  ix = 1
+  do i = 1, n
+    ssum = ssum + sx(ix)
+    ix = ix + incx
+  END DO
+
+end
+
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5098)
@@ -2,5 +2,5 @@
 ! This file is part of an effort to replace most uses of preprocessor CPP keys by fortran variables,
 ! to improve readability, compilation coverage, and linting.
-! CPP keys used here should ONLY be used here,
+! CPP keys used here should ONLY be used here (unless specified explicitely),
 ! and imported through USE ..., ONLY: ... elsewhere
 ! CPP keys supported (key -> fortran variables associated):
@@ -8,4 +8,5 @@
 !      CPP_PHYS  -> CPPKEY_PHYS
 !      INCA      -> CPPKEY_INCA
+!      CPP_StratAer-> CPPKEY_STRATAER
 ! ---------------------------------------------
 
@@ -14,5 +15,5 @@
   USE netcdf, ONLY: nf90_float, nf90_double
   IMPLICIT NONE; PRIVATE
-  PUBLIC nf90_format, CPPKEY_PHYS, CPPKEY_INCA
+  PUBLIC nf90_format, CPPKEY_PHYS, CPPKEY_INCA, CPPKEY_STRATAER
 
 #ifdef NC_DOUBLE
@@ -34,3 +35,9 @@
 #endif
 
+#ifdef CPP_StratAer
+  LOGICAL, PARAMETER :: CPPKEY_STRATAER = .TRUE.
+#else
+  LOGICAL, PARAMETER :: CPPKEY_STRATAER = .FALSE.
+#endif
+
 END MODULE lmdz_cppkeys_wrapper
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5098)
@@ -22,5 +22,5 @@
   USE infotrac_phy
   USE aerophys
-  USE YOMCST
+  USE lmdz_yomcst
 
 IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5098)
@@ -9,5 +9,5 @@
   USE dimphy
   USE temps_mod
-  USE YOMCST
+  USE lmdz_yomcst
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5098)
@@ -28,4 +28,5 @@
   USE phys_local_var_mod, ONLY: DENSO4, DENSO4B, f_r_wet, f_r_wetB
   USE strataer_local_var_mod, ONLY: flag_new_strat_compo
+  USE lmdz_yomcst
   
   IMPLICIT NONE
@@ -83,6 +84,4 @@
   REAL                                          :: EvdW
 
-  include "YOMCST.h"
-
 ! ff(i,j,k): Volume fraction of Vi,j that is partitioned to each model bin k
 ! just need to be calculated in model initialization because mdw(:) size is fixed
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5098)
@@ -28,10 +28,10 @@
       USE aerophys
       USE infotrac_phy
-      USE YOMCST, ONLY : RPI
+      USE lmdz_yomcst, ONLY : RPI
       USE sulfate_aer_mod, ONLY : wph2so4, surftension, solh2so4, rpmvh2so4
       USE strataer_local_var_mod, ONLY : ALPH2SO4, RRSI
       
       IMPLICIT NONE
-      
+
       REAL, PARAMETER :: third=1./3.
       
@@ -177,5 +177,5 @@
       USE aerophys
       USE infotrac_phy
-      USE YOMCST, ONLY : RPI
+      USE lmdz_yomcst, ONLY : RPI
       USE strataer_local_var_mod, ONLY : ALPH2SO4, RRSI
 
@@ -290,5 +290,5 @@
       USE aerophys
       USE infotrac_phy
-      USE YOMCST, ONLY : RPI
+      USE lmdz_yomcst, ONLY : RPI
       USE strataer_local_var_mod, ONLY : RRSI,Vbin
       
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5098)
@@ -18,5 +18,5 @@
   USE infotrac_phy
   USE aerophys
-  USE YOMCST
+  USE lmdz_yomcst
   USE strataer_local_var_mod, ONLY : flag_newclim_file,flag_verbose_strataer
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5098)
@@ -13,5 +13,5 @@
   USE cond_evap_tstep_mod
   USE sulfate_aer_mod, ONLY : STRAACT
-  USE YOMCST, ONLY : RPI, RD, RG
+  USE lmdz_yomcst, ONLY : RPI, RD, RG
   USE print_control_mod, ONLY: lunout
   USE strataer_local_var_mod ! contains also RRSI and Vbin
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5098)
@@ -20,5 +20,5 @@
   USE infotrac_phy, ONLY : nbtr, nbtr_bin, nbtr_sulgas, id_SO2_strat
   USE dimphy
-  USE YOMCST  , ONLY : RG, RPI
+  USE lmdz_yomcst  , ONLY : RG, RPI
   USE mod_phys_lmdz_para, only: gather, scatter, bcast
   USE mod_grid_phy_lmdz, ONLY : klon_glo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5098)
@@ -11,4 +11,5 @@
   USE infotrac_phy
   USE strataer_local_var_mod, ONLY : flag_new_nucl
+  USE lmdz_yomcst
   
   IMPLICIT NONE
@@ -37,6 +38,4 @@
   REAL airn    ! Air molecule concentration in (cm-3) NOT IN USE
   REAL ipr     ! Ion pair production rate (cm-3 s-1) NOT IN USE
-
-  include "YOMCST.h"
 
   ! call nucleation routine
@@ -332,4 +331,5 @@
 
   USE aerophys
+  USE lmdz_yomcst
 
   IMPLICIT NONE 
@@ -385,6 +385,4 @@
   DOUBLE PRECISION :: xloss       ! Ion loss rate 
   DOUBLE PRECISION :: recomb      ! Ion-ion recombination rate 
-
-  include "YOMCST.h"
 
   !--- 0) Initializations:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5098)
@@ -7,5 +7,5 @@
   USE aerophys
   USE infotrac_phy
-  USE YOMCST, ONLY : RG
+  USE lmdz_yomcst, ONLY : RG
   USE phys_local_var_mod, ONLY : OCS_lifetime, budg_3D_ocs_to_so2, budg_ocs_to_so2
   USE strataer_local_var_mod, ONLY : flag_min_rreduce
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5098)
@@ -7,5 +7,5 @@
   USE aerophys
   USE infotrac_phy
-  USE YOMCST, ONLY : RG, RD
+  USE lmdz_yomcst, ONLY : RG, RD
   ! lifetime (sec) et O3_clim (VMR)
   USE phys_local_var_mod, ONLY : SO2_lifetime, H2SO4_lifetime, O3_clim, budg_3D_so2_to_h2so4, budg_so2_to_h2so4
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5098)
@@ -19,9 +19,9 @@
   USE infotrac_phy
   USE aerophys
-  USE YOMCST
+  USE lmdz_yomcst
   USE strataer_local_var_mod, ONLY : flag_newclim_file
   
   IMPLICIT NONE
-  
+
   include "dimensions.h"
   
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5098)
@@ -219,6 +219,5 @@
     USE print_control_mod, ONLY : lunout
     USE strataer_local_var_mod
-
-    INCLUDE "YOMCST.h"  !--RPI
+    USE lmdz_yomcst, ONLY: RPI
 
     ! local var
